More flexible elastic now available

Larry Garfield
28 Mar 2017
Thumbnail

Elasticsearch is one of the most popular Free Software search engines available. It’s fast, flexible, and easy to work with.

It’s also now fully up to date on Platform.sh.

We’ve offered Elasticsearch for a while, but only the older 1.7 version. Newer versions of Elasticsearch offer better functionality and speed, though, so we’re happy to report that we now have versions 2.4 and 5.2 available.

Switching is, as you’d expect from Platform.sh, super easy. Just switch the 1.7 in your services.yaml file to 5.2 and poof, your next deploy will be on Elasticsearch 5.2. Like so:

mysearch:
    type: elasticsearch:5.2
    disk: 1024

Note, however, that we do not support Elasticsearch’s rolling upgrade process, so you will likely need to rebuild your index. You can also run both a new and old service in parallel and switch your application over to the new one whenever you’re ready.

But wait, there’s more!

By popular demand, we’ve also added support for a number of Elasticsearch plugins to both the 2.4 and 5.2 services. The full list is available in the documentation, and they’re just a few lines of YAML to enable. If there’s another Free Software plugin you need that’s not supported let our support team know. We may be able to add it to the list.

Happy searching!